Subject: Re: bug#48322: 28.0.50; multi-topic queries for mark return empty results

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 02 Jul 2022 18:01:06 +0200

"Jose A. Ortega Ruiz" <[email-masked]> writes:

> When performing a mark query over nested topics the result seems to be
> always empty.  E.g., with a topics structure like the following:
>
>      [Gnus]
>        [T1]
>          g1
>          g2
>        [T2]
>          g3
>
> where, say, g1 has articles with the ! mark, G G mark:! RET with point
> on [T1] will correctly find them.  However, the same query with point on
> [Gnus] always returns an empty result, no matter what mark i try.  A
> regular query not including marks seems to work correctly, though.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I haven't tried reproducing this, but perhaps Eric has some insights
here, so I've added him to the CCs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no